Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Juri Linkov <[email-masked]>
Date: Fri, 30 Nov 2018 00:29:21 +0200

>> >>> Maybe something like this, but I'm not sure because the red background would
>> >>> be too glaring on 88 colors, but more readable orchid1 is not quite red.
>> >>
>> >> Is OrangeRed better?
>> >
>> > OrangeRed is not better than red, but simply Orange looks much better,
>> > so a new face could be named hi-orange.
>>
>> After trying to use Orange, I see it's too saturated, that is bad for
>> light backgrounds.  But I found a much better color: Gold.  It is still
>> related to red because gold can be reddish in an alloy with copper.
>
> I don't see how "gold" can be translated to "red", sorry.  It
> translates to yellow shades on both 8- and 16-color TTYs, as expected.
> Did you try "IndianRed" instead?

Unfortunately, "IndianRed" is so dark that it's unreadable.
Whereas "Gold" is so prefect, that I can't find a replacement.
But are translations really required?  I created a definition
that works well on all environments (I see that "gold" looks good
on a graphical terminal, but on a 256-color TTY "orange" is better).
Do you see a problem with these best-looking faces?

(defface hi-gold
  '((((min-colors 88) (type x w32 ns)) (:background "gold"))
    (((min-colors 88)) (:background "orange"))
    (((min-colors 16)) (:background "red"))
    (t (:background "red")))
  "Face for hi-lock mode."
  :group 'hi-lock-faces)

(defface hi-aquamarine
  '((((min-colors 88)) (:background "aquamarine"))
    (((min-colors 16)) (:background "blue"))
    (t (:background "blue")))
  "Face for hi-lock mode."
  :group 'hi-lock-faces)